<form method="get" action="#{url _url /}" class="search-bar" id="chartForm">

    <div class="ui #{if _align != null}${_align}#{/if}#{else}left#{/else} aligned grid">
        <div class="ui #{if _align != null}${_align}#{/if}#{else}left#{/else} floated column">
            <div class="ui dropdown selection" id="chartfilter">
                <input type="hidden" name="chart" value="${_filter}">
                <i class="dropdown icon"></i>
                <div class="default text">${_filter ? _filter?.toString().replaceAll("_", " ") : 'Pilih Filter'}</div>
                <div class="menu">
                #{list items:_filters, as:'f'}
                    <div class="item" data-value="${f}">${f.toString().replaceAll("_", " ")}</div>
                #{/list}
                </div>
            </div>
        </div>
    </div>
</form>
#{set 'chartFiltersScripts'}
<style>.default.text {
    color: #000 !important;
}</style>
<script>
    $('#chartfilter')
            .dropdown({
                action: 'hide',
                onChange: function (value, text, $selectedItem) {
                    $("input[name=chart]").val($selectedItem.data('value'));
                    $("#chartForm").submit();
                }
            });
</script>
#{/set}